/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3) 
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details. 
 */

package org.dive4elements.seddb.model;
// Generated 14.06.2012 11:30:57 by Hibernate Tools 3.4.0.CR1


import java.math.BigDecimal;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Hpeilung generated by hbm2java
 */
@Entity
@Table(name="HPEILUNG"
    ,schema="SEDDB"
)
public class Hpeilung  implements java.io.Serializable {


     private long hpeilungid;
     private Station station;
     private BigDecimal km;
     private Date datum;
     private String glwname;
     private BigDecimal glwhoehe;
     private BigDecimal buliabst;
     private BigDecimal bulihoehe;
     private BigDecimal bulifuss;
     private BigDecimal buliruecken;
     private BigDecimal bureabst;
     private BigDecimal burehoehe;
     private BigDecimal burefuss;
     private BigDecimal bureruecken;
     private BigDecimal fahrliabst;
     private BigDecimal fahrreabst;
     private BigDecimal fahrtief;
     private BigDecimal ausbliabst;
     private BigDecimal ausbreabst;
     private BigDecimal achseabst;
     private BigDecimal teilvonabst;
     private BigDecimal teilbisabst;
     private BigDecimal hmabst;
     private BigDecimal lgkrechts;
     private BigDecimal lgkhoch;
     private BigDecimal lgkhoehe;
     private BigDecimal rgkrechts;
     private BigDecimal rgkhoch;
     private BigDecimal rgkhoehe;
     private String bemerkung;
     private Date lastupdated;
     private Long oldprfid;
     private BigDecimal mitteabst;
     private Set<Hpeilpunkt> hpeilpunkts = new HashSet<Hpeilpunkt>(0);
     private Set<Messung> messungs = new HashSet<Messung>(0);

    public Hpeilung() {
    }

    public Hpeilung(long hpeilungid, Station station, BigDecimal km, Date datum, Date lastupdated) {
        this.hpeilungid = hpeilungid;
        this.station = station;
        this.km = km;
        this.datum = datum;
        this.lastupdated = lastupdated;
    }
    public Hpeilung(long hpeilungid, Station station, BigDecimal km, Date datum, String glwname, BigDecimal glwhoehe, BigDecimal buliabst, BigDecimal bulihoehe, BigDecimal bulifuss, BigDecimal buliruecken, BigDecimal bureabst, BigDecimal burehoehe, BigDecimal burefuss, BigDecimal bureruecken, BigDecimal fahrliabst, BigDecimal fahrreabst, BigDecimal fahrtief, BigDecimal ausbliabst, BigDecimal ausbreabst, BigDecimal achseabst, BigDecimal teilvonabst, BigDecimal teilbisabst, BigDecimal hmabst, BigDecimal lgkrechts, BigDecimal lgkhoch, BigDecimal lgkhoehe, BigDecimal rgkrechts, BigDecimal rgkhoch, BigDecimal rgkhoehe, String bemerkung, Date lastupdated, Long oldprfid, BigDecimal mitteabst, Set<Hpeilpunkt> hpeilpunkts, Set<Messung> messungs) {
       this.hpeilungid = hpeilungid;
       this.station = station;
       this.km = km;
       this.datum = datum;
       this.glwname = glwname;
       this.glwhoehe = glwhoehe;
       this.buliabst = buliabst;
       this.bulihoehe = bulihoehe;
       this.bulifuss = bulifuss;
       this.buliruecken = buliruecken;
       this.bureabst = bureabst;
       this.burehoehe = burehoehe;
       this.burefuss = burefuss;
       this.bureruecken = bureruecken;
       this.fahrliabst = fahrliabst;
       this.fahrreabst = fahrreabst;
       this.fahrtief = fahrtief;
       this.ausbliabst = ausbliabst;
       this.ausbreabst = ausbreabst;
       this.achseabst = achseabst;
       this.teilvonabst = teilvonabst;
       this.teilbisabst = teilbisabst;
       this.hmabst = hmabst;
       this.lgkrechts = lgkrechts;
       this.lgkhoch = lgkhoch;
       this.lgkhoehe = lgkhoehe;
       this.rgkrechts = rgkrechts;
       this.rgkhoch = rgkhoch;
       this.rgkhoehe = rgkhoehe;
       this.bemerkung = bemerkung;
       this.lastupdated = lastupdated;
       this.oldprfid = oldprfid;
       this.mitteabst = mitteabst;
       this.hpeilpunkts = hpeilpunkts;
       this.messungs = messungs;
    }

     @Id


    @Column(name="HPEILUNGID", unique=true, nullable=false, precision=11, scale=0)
    public long getHpeilungid() {
        return this.hpeilungid;
    }

    public void setHpeilungid(long hpeilungid) {
        this.hpeilungid = hpeilungid;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="STATIONID", nullable=false)
    public Station getStation() {
        return this.station;
    }

    public void setStation(Station station) {
        this.station = station;
    }


    @Column(name="KM", nullable=false, precision=8, scale=3)
    public BigDecimal getKm() {
        return this.km;
    }

    public void setKm(BigDecimal km) {
        this.km = km;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="DATUM", nullable=false, length=7)
    public Date getDatum() {
        return this.datum;
    }

    public void setDatum(Date datum) {
        this.datum = datum;
    }


    @Column(name="GLWNAME", length=8)
    public String getGlwname() {
        return this.glwname;
    }

    public void setGlwname(String glwname) {
        this.glwname = glwname;
    }


    @Column(name="GLWHOEHE", precision=8, scale=3)
    public BigDecimal getGlwhoehe() {
        return this.glwhoehe;
    }

    public void setGlwhoehe(BigDecimal glwhoehe) {
        this.glwhoehe = glwhoehe;
    }


    @Column(name="BULIABST", precision=8, scale=3)
    public BigDecimal getBuliabst() {
        return this.buliabst;
    }

    public void setBuliabst(BigDecimal buliabst) {
        this.buliabst = buliabst;
    }


    @Column(name="BULIHOEHE", precision=8, scale=3)
    public BigDecimal getBulihoehe() {
        return this.bulihoehe;
    }

    public void setBulihoehe(BigDecimal bulihoehe) {
        this.bulihoehe = bulihoehe;
    }


    @Column(name="BULIFUSS", precision=8, scale=3)
    public BigDecimal getBulifuss() {
        return this.bulifuss;
    }

    public void setBulifuss(BigDecimal bulifuss) {
        this.bulifuss = bulifuss;
    }


    @Column(name="BULIRUECKEN", precision=8, scale=3)
    public BigDecimal getBuliruecken() {
        return this.buliruecken;
    }

    public void setBuliruecken(BigDecimal buliruecken) {
        this.buliruecken = buliruecken;
    }


    @Column(name="BUREABST", precision=8, scale=3)
    public BigDecimal getBureabst() {
        return this.bureabst;
    }

    public void setBureabst(BigDecimal bureabst) {
        this.bureabst = bureabst;
    }


    @Column(name="BUREHOEHE", precision=8, scale=3)
    public BigDecimal getBurehoehe() {
        return this.burehoehe;
    }

    public void setBurehoehe(BigDecimal burehoehe) {
        this.burehoehe = burehoehe;
    }


    @Column(name="BUREFUSS", precision=8, scale=3)
    public BigDecimal getBurefuss() {
        return this.burefuss;
    }

    public void setBurefuss(BigDecimal burefuss) {
        this.burefuss = burefuss;
    }


    @Column(name="BURERUECKEN", precision=8, scale=3)
    public BigDecimal getBureruecken() {
        return this.bureruecken;
    }

    public void setBureruecken(BigDecimal bureruecken) {
        this.bureruecken = bureruecken;
    }


    @Column(name="FAHRLIABST", precision=8, scale=3)
    public BigDecimal getFahrliabst() {
        return this.fahrliabst;
    }

    public void setFahrliabst(BigDecimal fahrliabst) {
        this.fahrliabst = fahrliabst;
    }


    @Column(name="FAHRREABST", precision=8, scale=3)
    public BigDecimal getFahrreabst() {
        return this.fahrreabst;
    }

    public void setFahrreabst(BigDecimal fahrreabst) {
        this.fahrreabst = fahrreabst;
    }


    @Column(name="FAHRTIEF", precision=8, scale=3)
    public BigDecimal getFahrtief() {
        return this.fahrtief;
    }

    public void setFahrtief(BigDecimal fahrtief) {
        this.fahrtief = fahrtief;
    }


    @Column(name="AUSBLIABST", precision=8, scale=3)
    public BigDecimal getAusbliabst() {
        return this.ausbliabst;
    }

    public void setAusbliabst(BigDecimal ausbliabst) {
        this.ausbliabst = ausbliabst;
    }


    @Column(name="AUSBREABST", precision=8, scale=3)
    public BigDecimal getAusbreabst() {
        return this.ausbreabst;
    }

    public void setAusbreabst(BigDecimal ausbreabst) {
        this.ausbreabst = ausbreabst;
    }


    @Column(name="ACHSEABST", precision=8, scale=3)
    public BigDecimal getAchseabst() {
        return this.achseabst;
    }

    public void setAchseabst(BigDecimal achseabst) {
        this.achseabst = achseabst;
    }


    @Column(name="TEILVONABST", precision=8, scale=3)
    public BigDecimal getTeilvonabst() {
        return this.teilvonabst;
    }

    public void setTeilvonabst(BigDecimal teilvonabst) {
        this.teilvonabst = teilvonabst;
    }


    @Column(name="TEILBISABST", precision=8, scale=3)
    public BigDecimal getTeilbisabst() {
        return this.teilbisabst;
    }

    public void setTeilbisabst(BigDecimal teilbisabst) {
        this.teilbisabst = teilbisabst;
    }


    @Column(name="HMABST", precision=8, scale=3)
    public BigDecimal getHmabst() {
        return this.hmabst;
    }

    public void setHmabst(BigDecimal hmabst) {
        this.hmabst = hmabst;
    }


    @Column(name="LGKRECHTS", precision=11, scale=3)
    public BigDecimal getLgkrechts() {
        return this.lgkrechts;
    }

    public void setLgkrechts(BigDecimal lgkrechts) {
        this.lgkrechts = lgkrechts;
    }


    @Column(name="LGKHOCH", precision=11, scale=3)
    public BigDecimal getLgkhoch() {
        return this.lgkhoch;
    }

    public void setLgkhoch(BigDecimal lgkhoch) {
        this.lgkhoch = lgkhoch;
    }


    @Column(name="LGKHOEHE", precision=8, scale=3)
    public BigDecimal getLgkhoehe() {
        return this.lgkhoehe;
    }

    public void setLgkhoehe(BigDecimal lgkhoehe) {
        this.lgkhoehe = lgkhoehe;
    }


    @Column(name="RGKRECHTS", precision=11, scale=3)
    public BigDecimal getRgkrechts() {
        return this.rgkrechts;
    }

    public void setRgkrechts(BigDecimal rgkrechts) {
        this.rgkrechts = rgkrechts;
    }


    @Column(name="RGKHOCH", precision=11, scale=3)
    public BigDecimal getRgkhoch() {
        return this.rgkhoch;
    }

    public void setRgkhoch(BigDecimal rgkhoch) {
        this.rgkhoch = rgkhoch;
    }


    @Column(name="RGKHOEHE", precision=8, scale=3)
    public BigDecimal getRgkhoehe() {
        return this.rgkhoehe;
    }

    public void setRgkhoehe(BigDecimal rgkhoehe) {
        this.rgkhoehe = rgkhoehe;
    }


    @Column(name="BEMERKUNG", length=240)
    public String getBemerkung() {
        return this.bemerkung;
    }

    public void setBemerkung(String bemerkung) {
        this.bemerkung = bemerkung;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="LASTUPDATED", nullable=false, length=7)
    public Date getLastupdated() {
        return this.lastupdated;
    }

    public void setLastupdated(Date lastupdated) {
        this.lastupdated = lastupdated;
    }


    @Column(name="OLDPRFID", precision=11, scale=0)
    public Long getOldprfid() {
        return this.oldprfid;
    }

    public void setOldprfid(Long oldprfid) {
        this.oldprfid = oldprfid;
    }


    @Column(name="MITTEABST", precision=8, scale=3)
    public BigDecimal getMitteabst() {
        return this.mitteabst;
    }

    public void setMitteabst(BigDecimal mitteabst) {
        this.mitteabst = mitteabst;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="hpeilung")
    public Set<Hpeilpunkt> getHpeilpunkts() {
        return this.hpeilpunkts;
    }

    public void setHpeilpunkts(Set<Hpeilpunkt> hpeilpunkts) {
        this.hpeilpunkts = hpeilpunkts;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="hpeilung")
    public Set<Messung> getMessungs() {
        return this.messungs;
    }

    public void setMessungs(Set<Messung> messungs) {
        this.messungs = messungs;
    }
}
